Skip to navigation

Get user information for user using userId

View as Markdown

Retrieves the user information for the specified user. For example:

{
"userName": "Tania Morales",
"userId": "6b67a1ee-xxxx-xxxx-xxxx-385763624163",
"userType": "CompanyUser",
"isAdmin": "False",
"isNAREnabled": "false",
"userStatus": "Active",
"uri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163",
"email": "examplename42@orobia.net",
"createdDateTime": "2019-04-01T22:11:56.4570000Z",
"userAddedToAccountDateTime": "0001-01-01T08:00:00.0000000Z",
"firstName": "Tania",
"lastName": "Morales",
"jobTitle": "",
"company": "Company",
"permissionProfileId": "12345678",
"permissionProfileName": "DocuSign Viewer",
"userSettings": {. . .},
"sendActivationOnInvalidLogin": "false",
"enableConnectForUser": "false",
"groupList": [. . .],
"workAddress": {. . .},
"homeAddress": {. . .},
"signatureImageUri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/signature_image",
"initialsImageUri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/initials_image",
"defaultAccountId": "f636f297-xxxx-xxxx-xxxx-8e7a14715950"
}

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

userIdstringRequired

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Query parameters

additional_infostringOptional
Setting this parameter has no effect in this operation.
emailstringOptional
Setting this parameter has no effect in this operation.
include_licensestringOptional

Response

Successful response.
activationAccessCodestringOptional
Access code provided to the user to activate the account.
companystringOptional
The name of the user's company.
connectConfigurationslist of objectsOptional
Object representing the user's custom Connect configuration.
countryCodestringOptional

The two-letter code for the user’s country.

createdDateTimestringOptional
The UTC DateTime when the item was created.
customSettingslist of objectsOptional

The name/value pair information for the user custom setting.

defaultAccountIdstringOptional
The default account ID associated with the user.
emailstringOptional

The user’s email address.

This property cannot be updated via PUT requests.

enableConnectForUserstringOptional
Boolean value that specifies whether the user is enabled for updates from Docusign Connect.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
firstNamestringOptional

The user’s first name. Maximum Length: 50 characters.

forgottenPasswordInfoobjectOptional

A complex element that has up to four Question/Answer pairs for forgotten password information.

groupListlist of objectsOptional

A list of the group information for groups to add the user to. Use UserGroups: listGroups to get information about groups.

When setting a user’s group, only the groupId is required.

hasRemoteNotarybooleanOptional
homeAddressobjectOptional
Contains address information.
initialsImageUristringOptional
The URI for retrieving the image of the user's initials.
isAdminstringOptional

When true, the user is an administrator.

isAlternateAdminstringOptional

When true, the user is an alternate administrator. This user is not an administrator but will be set as such if all administrator memberships are closed.

isManagedByScimstringOptional
isMembershipManagedByScimstringOptional
isNAREnabledstringOptional

When true, National Association of Realtors (NAR) signature logos are enabled for the user.

jobTitlestringOptional
The user's job title.
lastLoginstringOptional
This property has been deprecated.
lastNamestringOptional

The user’s last name. Maximum Length: 50 characters.

licenseStatusstringOptional
If successful this value will be "Assigned" If there was an error, this value will be "Failed. Please try again later."
licenseTypestringOptional

The user’s assigned license type. Only available for IAM plans. Must be one of the following values:

  • Full - Enterprise: Full license type available for customers who purchase the IAM Enterprise plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.
  • Full - Professional: Full license type available for customers who purchase the IAM Professional plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.
  • Full - Standard: Full license type available for customers who purchase the IAM Standard plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.
  • Full - Sales: Full license type available for customers who purchase the IAM Sales plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.
  • Full - CX: Full license type available for customers who purchase the IAM Sales plan; includes access to sending envelopes and Workflow Builder.
  • Free: Free license type available for all IAM customers; includes access to viewing the user’s own agreements and signing.
licenseTypeslist of stringsOptional
loginStatusstringOptional
Boolean value that indicates whether the user is currently logged in or not.
middleNamestringOptional

The user’s middle name. Limit: 50 characters.

passwordstringOptional

The user’s password.

This property is used only when adding a new user via a Users: create request. The value must conform to the password rules defined in the account Security Settings.

This property is not returned by GET requests and cannot be updated via PUT requests.

passwordExpirationstringOptional

If password expiration is enabled, the date-time when the user’s password expires.

permissionProfileIdstringOptional

The ID of the permission profile.

Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs.

You can also download a CSV file of all permission profiles and their IDs from the Settings > Permission Profiles page of your eSignature account page.

permissionProfileNamestringOptional

The name of the account permission profile.

Example: Account Administrator

profileImageUristringOptional
The URL for retrieving the user's profile image.
sendActivationEmailstringOptional

This field is no longer supported for most accounts. To create an eSignature user without sending an activation email, use the Admin API by following these steps.

You can also use this field to resend the activation email to a user who is not yet active by setting this field to the "send".

sendActivationOnInvalidLoginstringOptional

When true, specifies that an additional activation email be sent if user’s log on fails before the account is activated.

signatureImageUristringOptional
An endpoint URI that you can use to retrieve the user's signature image.
subscribestringOptional
suffixNamestringOptional

The suffix for the user’s name, such as Jr, IV, PhD, etc.

Limit: 50 characters.

titlestringOptional
The title of the user.
uristringOptional
A URI containing the user ID.
userAddedToAccountDateTimestringOptional
The date and time that the user was added to the account.
userIdstringOptional

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

userNamestringOptional
The name of the user.
userProfileLastModifiedDatestringOptional
The date and time that the user's profile was last modified.
userSettingsobjectOptional

Properties that configure the settings for a user. Some elements of this object have a metadata property, which includes the following:

  • rights: The calling users permissions to edit this setting (can be editable or read_only)
  • uiHint: Internally used to build UIs (can be available or hidden)
  • options: The values supported for this setting (not all settings have this element)
userStatusstringOptional

Status of the user’s account. One of:

  • ActivationRequired
  • ActivationSent
  • Active
  • Closed
  • Disabled
userTypestringOptional

The type of user, for example CompanyUser.

workAddressobjectOptional
Contains address information.

Errors

400
Bad Request Error